This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 16822 - gcc preprocessor warnings "pasting...valid preprocessor..."
gcc preprocessor warnings "pasting...valid preprocessor..."
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-23 15:37 EDT by Mr. Berkley Shands
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-23 15:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mr. Berkley Shands 2000-08-23 15:37:46 EDT
root@russianblue.arl.wustl.edu usr/src/linux-2.4.0-test6> gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000724 (experimental)

linux-2.4.0-test6 kernel build...

gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -pipe  -mpreferred-stack-boundary=2 -march=i686
-fno-strict-aliasing    -c -o floppy.o floppy.c
floppy.c:613:60: warning: pasting would not give a valid preprocessing
token
floppy.c:722:48: warning: pasting would not give a valid preprocessing
token
floppy.c:728:72: warning: pasting would not give a valid preprocessing
token
floppy.c:729:48: warning: pasting would not give a valid preprocessing
token
floppy.c:730:67: warning: pasting would not give a valid preprocessing
token
floppy.c:731:49: warning: pasting would not give a valid preprocessing
token
floppy.c:907:36: warning: pasting would not give a valid preprocessing
token
floppy.c:1152:36: warning: pasting would not give a valid preprocessing
token
floppy.c:1179:41: warning: pasting would not give a valid preprocessing
token
floppy.c:1209:38: warning: pasting would not give a valid preprocessing
token
floppy.c:1565:56: warning: pasting would not give a valid preprocessing
token
floppy.c:1590:52: warning: pasting would not give a valid preprocessing
token
floppy.c:1723:30: warning: pasting would not give a valid preprocessing
token

While compiling linux-2.4.0-test6 with a stock .config.
(same .config as under RH 6.2)
many, many files show this tyoe of error, or other similar
pre-processor token errors.

The installed kernel works fine though (2.4.0-test6)

gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -pipe  -mpreferred-stack-boundary=2 -march=i686
-fno-strict-aliasing    -c -o file.o file.c
In file included from /usr/src/linux/include/linux/nfs_fs.h:17,
                 from file.c:24:
/usr/src/linux/include/linux/sunrpc/debug.h:57:57: warning: nothing can be
pasted after this token
file.c:254:71: warning: pasting would not give a valid preprocessing token
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -pipe  -mpreferred-stack-boundary=2 -march=i686
-fno-strict-aliasing    -c -o read.o read.c
In file included from /usr/src/linux/include/linux/sunrpc/types.h:14,
                 from /usr/src/linux/include/linux/sunrpc/sched.h:14,
                 from /usr/src/linux/include/linux/sunrpc/clnt.h:13,
                 from read.c:27:
/usr/src/linux/include/linux/sunrpc/debug.h:57:57: warning: nothing can be
pasted after this token
read.c:98:53: warning: pasting would not give a valid preprocessing token
read.c:112:57: warning: pasting would not give a valid preprocessing token

machine is a P3-600 768mb aha2940u2w 9gbLVD 
all-in-wonder-128 32mb Tulip 10/100.

berkley
Comment 1 Jakub Jelinek 2000-08-24 02:50:53 EDT
The inappropriate warnings should be killed in gcc-2.96-53 and above
(those where GNU , ## restarg extension is used), the remaining should be
fixed in the Linux kernel.

Note You need to log in before you can comment on or make changes to this bug.